Bug 136234 - [maintainer-update] www/xpi-modify_headers
Summary: [maintainer-update] www/xpi-modify_headers
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Martin Wilke
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-07-01 22:10 UTC by kamikaze
Modified: 2009-07-07 21:30 UTC (History)
0 users

See Also:


Attachments
file.diff (1.96 KB, patch)
2009-07-01 22:10 UTC, kamikaze
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description kamikaze 2009-07-01 22:10:00 UTC
Update to the latest release.
Comment 1 Martin Wilke freebsd_committer 2009-07-01 23:32:10 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

I'll take it.
Comment 2 Martin Wilke freebsd_committer 2009-07-05 00:50:07 UTC
State Changed
From-To: open->feedback


Howdy, 

Build failed; 
http://64bit.miwibox.org/index.php?action=describe_port&id=1155 
http://32bit.miwibox.org/index.php?action=describe_port&id=1146 

could you please take look?
Comment 3 kamikaze 2009-07-05 11:39:07 UTC
miwi@FreeBSD.org wrote:
> Synopsis: [maintainer-update] www/xpi-modify_headers
> 
> State-Changed-From-To: open->feedback
> State-Changed-By: miwi
> State-Changed-When: Sat Jul 4 23:50:07 UTC 2009
> State-Changed-Why: 
> 
> Howdy,
> 
> Build failed;
> http://64bit.miwibox.org/index.php?action=describe_port&id=1155
> http://32bit.miwibox.org/index.php?action=describe_port&id=1146
> 
> could you please take look?
> 
> 
> http://www.freebsd.org/cgi/query-pr.cgi?pr=136234
> 
> 

I propose the following patch to "ports/www/xpi-adblock/Makefile.xpi".
With this patch only files listed in XPI_FILES are installed,
which spares maintainers the need to wipe .orig files resulting
from patching in post-patch.


--- ports/www/xpi-adblock/Makefile.xpi.orig	2009-07-05 12:06:20.000000000 +0200
+++ ports/www/xpi-adblock/Makefile.xpi	2009-07-05 12:29:18.000000000 +0200
@@ -167,11 +167,14 @@
 .if !target(do-install)
 do-install:
 	@${INSTALL} -d ${_TD_FULL} ${XPI_SLDIRS_ALL}
-	@${CP} -R ${WRKSRC}/ ${_TD_FULL}/
+.for _dir in ${XPI_DIRS}
+	@${INSTALL} -d ${_TD_FULL}/${_dir}
+.endfor
+.for _file in ${XPI_FILES}
+	@${INSTALL_DATA} ${WRKSRC}/${_file} ${_TD_FULL}/${_file}
+.endfor
 	@if [ -d ${FILESDIR} -a -f ${FILESDIR}/chrome.manifest ] ; \
 		then ${CP} ${FILESDIR}/chrome.manifest ${_TD_FULL}/ ; fi
-	@${CHOWN} -R ${SHAREOWN}:${SHAREGRP} ${_TD_FULL}/
-	@${CHMOD} -R a+rX,go-w ${_TD_FULL}/
 	@for _dir in ${XPI_LINKFARMS} ; { ${LN} -sf ${_TD_FULL} $$_dir/ ${_Q} ; }
 	@${ECHO_CMD} '@exec ${INSTALL} -d ${XPI_SLDIRS_ALL:S,^${PREFIX},%D,}' ${_A}
 	@${ECHO_CMD} '@exec for _dir in ${XPI_LINKFARMS} ; { ${LN} -sf ${_TD_FULL} $$_dir/ ${_Q}; }' ${_A}
Comment 4 Martin Wilke freebsd_committer 2009-07-07 21:24:59 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!
Comment 5 dfilter service freebsd_committer 2009-07-07 21:26:32 UTC
miwi        2009-07-07 20:25:21 UTC

  FreeBSD ports repository

  Modified files:
    www/xpi-modify_headers Makefile distinfo 
  Added files:
    www/xpi-modify_headers/files patch-install.rdf 
  Log:
  - Update to 0.6.6
  
  PR:             136234
  Submitted by:   Dominic Fandrey <kamikaze@bsdforen.de> (maintainer)
  
  Revision  Changes    Path
  1.3       +5 -2      ports/www/xpi-modify_headers/Makefile
  1.3       +3 -3      ports/www/xpi-modify_headers/distinfo
  1.3       +11 -0     ports/www/xpi-modify_headers/files/patch-install.rdf (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"